Skip to main content
GET
/
bookings
Get all bookings given a filter
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/bookings \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "_id": "5f8e1b9b9d9e4b0017b3b3a0",
      "organization_id": "5f8e1b9b9d9e4b0017b3b3a0",
      "channel_id": "5f8e1b9b9d9e4b0017b3b3a0",
      "referral_id": "5f8e1b9b9d9e4b0017b3b3a0",
      "status": "accepted",
      "quantity": 10,
      "full_name": "John Doe",
      "email": "john.doe@example.com",
      "phone": "1234567890",
      "deposit": 100,
      "fee_type": "percentage",
      "fee_quantity": 7,
      "qr_code": "ABCDE12345",
      "activation_code": "ABCDEFGH12345678",
      "observations_referral": "This is a referral",
      "observations_client": "Please give me a good table",
      "payment_id": "pay_1234567890",
      "marketing_consent": true,
      "billing_info": {
        "customer_type": "individual",
        "customer_name": "John Doe",
        "document_type": "dni",
        "document_number": "12345678Z",
        "address": "123 Main St",
        "city": "Barcelona",
        "postal_code": "08001",
        "country": "ES"
      }
    }
  ],
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

event_id
string

Event ID

limit
number

Limit of bookings to retrieve

offset
number

Offset of bookings to retrieve

Response

OK

data
object[]
success
boolean
Example:

true